import { myRequest } from "../request.js";
export default {
  goodsList(data) {
    return myRequest({
      url: "/app/common/goods/list",
      method: "get",
      data: data,
      noToken: true,
    });
  },
  actGoodsList(data) {
    return myRequest({
      url: "/app/common/goods/share/list/" + data,
      method: "get",
      noToken: true,
    });
  },
  fxGoodsList(data) {
    return myRequest({
      url: "/app/common/goods/goods/list/" + data,
      method: "get",
      noToken: true,
    });
  },
  commonSystemTime() {
    return myRequest({
      url: "/app/common/system/dict/data/sys/time",
      method: "get",
      noToken: true,
    });
  },

  commonGoodsDetail(data) {
    return myRequest({
      url: "/app/common/goods/" + data,
      method: "get",
      noToken: true,
    });
  },
  fxGoodsDetail(data) {
    return myRequest({
      url: "/app/common/goods/distribution/goods",
      method: "get",
      noToken: true,
      data: data,
    });
  },
  // 校验商品状态
  checkGoodsStatus(data) {
    return myRequest({
      url: "/goods/check/goods/status",
      method: "post",
      data,
    });
  },
  goodsBank(data) {
    return myRequest({
      url: "/goods/bank/list",
      method: "get",
      data: data,
    });
  },
  // goodsBank(data) {
  // 	return myRequest({
  // 		url: '/goods/bank/list',
  // 		method: 'get',
  // 		data: data,
  // 	})
  // },

  bankExamExamList(data) {
    return myRequest({
      url: "/bank/exam/exam/list",
      method: "get",
      data: data,
    });
  },

  goodsDetail(data) {
    return myRequest({
      url: "/goods/" + data,
      method: "get",
    });
  },
  goodsCourseList(data) {
    return myRequest({
      url: "/app/common/goods/course/list/" + data,
      method: "get",
      noToken: true,
    });
  },
  // 获取双师制
  getGoodsCourseTeacher(data) {
    return myRequest({
      url: "/app/common/course/teacher/list",
      method: "get",
      data: data,
      noToken: true,
    });
  },
  collectQuestion(data) {
    return myRequest({
      url: "/collect/question",
      data: data,
      method: "POST",
    });
  },
  bankRecordEdit(data) {
    return myRequest({
      url: "/bank/record/edit",
      data: data,
      method: "POST",
    });
  },

  bankReportData(data) {
    return myRequest({
      url: "/bank/record/" + data,
      method: "get",
    });
  },

  deleteCollectQuestion(data) {
    return myRequest({
      url: "/collect/question/delete/" + data,
      method: "POST",
    });
  },
  examRecord(data) {
    return myRequest({
      url: "/exam/record",
      data: data,
      method: "POST",
    });
  },
  examRecordRightList(data) {
    return myRequest({
      url: "/exam/record/right_list",
      data: data,
      method: "GET",
    });
  },

  examRecordWrongList(data) {
    return myRequest({
      url: "/exam/record/wrong_list",
      data: data,
      method: "GET",
    });
  },

  bankRecord(data) {
    return myRequest({
      url: "/bank/record",
      data: data,
      method: "POST",
    });
  },

  examWrongRecord(data) {
    return myRequest({
      url: "/exam/wwrong/record",
      data: data,
      method: "POST",
    });
  },

  examRecordEdit(data) {
    return myRequest({
      url: "/exam/record/edit",
      data: data,
      method: "POST",
    });
  },

  goodsBankQuestionNum(data) {
    return myRequest({
      url: "/goods/bank/questionNum/" + data,
      method: "get",
    });
  },

  bankExamNextExam(data) {
    return myRequest({
      url: "/bank/exam/nextExam",
      data: data,
      method: "get",
    });
  },

  examReport(data) {
    return myRequest({
      url: "/exam/record/" + data,
      method: "get",
    });
  },
  // 随机练习
  bankTempReport(data) {
    return myRequest({
      url: "/bank/exam/temp/" + data,
      method: "get",
    });
  },

  examRecordCount(data) {
    return myRequest({
      url: "/exam/record/count",
      data: data,
      method: "GET",
    });
  },

  examaperList(data) {
    return myRequest({
      url: "/exam/paper/list",
      data: data,
      method: "GET",
    });
  },

  examRecordList(data) {
    return myRequest({
      url: "/exam/record/list",
      data: data,
      method: "GET",
    });
  },

  examRecordGroupList(data) {
    return myRequest({
      url: "/exam/record/group_list",
      data: data,
      method: "GET",
    });
  },

  collectQuestionTypeList(data) {
    return myRequest({
      url: "/collect/question/type_list",
      data: data,
      method: "GET",
    });
  },

  wrongRecordTypeQuestionList(data) {
    return myRequest({
      url: "/exam/wwrong/record/type_question_list",
      data: data,
      method: "GET",
    });
  },

  bankRecordDoNum(data) {
    return myRequest({
      url: "/bank/record/doNum",
      data: data,
      method: "GET",
    });
  },

  wrongRecordTypeList(data) {
    return myRequest({
      url: "/exam/wwrong/record/type_list",
      data: data,
      method: "GET",
    });
  },

  listGoodsUserQuestion(data) {
    return myRequest({
      url: "/bank/question/listGoodsUserQuestion",
      data: data,
      method: "get",
    });
  },
  getCollectInfo(data) {
    return myRequest({
      url: "/collect/question/getInfo",
      data: data,
      method: "get",
      noLoading: true,
    });
  },

  goodsBankList(data) {
    return myRequest({
      url: "/app/common/bank/list",
      method: "get",
      data: data,
      noToken: true,
    });
  },

  wrongRecordList(data) {
    return myRequest({
      url: "/exam/wwrong/record/list",
      method: "get",
      data: data,
    });
  },

  goodsChapterList(data) {
    return myRequest({
      url: "/app/common/bank/chapter/list",
      method: "get",
      data: data,
      noToken: true,
    });
  },
  wrongRecordExamQuestionList(data) {
    return myRequest({
      url: "/exam/wwrong/record/exam_question_list",
      method: "get",
      data: data,
    });
  },

  wrongRecordDelete(data) {
    return myRequest({
      url: "/exam/wwrong/record/delete/question",
      method: "post",
      data: data,
    });
  },

  examWrongRecordWrongNum(data) {
    return myRequest({
      url: `/exam/wwrong/record/wrongNum`,
      method: "get",
      data,
    });
  },

  collectQuestionExamQuestionList(data) {
    return myRequest({
      url: `/collect/question/exam_question_list`,
      method: "get",
      data: data,
    });
  },

  bankExam(data) {
    return myRequest({
      url: "/bank/exam/" + data,
      method: "get",
    });
  },

  goodsCollectExamList(data) {
    return myRequest({
      url: "/collect/question/exam_list",
      method: "get",
      data: data,
    });
  },

  goodsBankDolist(data) {
    return myRequest({
      url: "/goods/bank/dolist",
      method: "get",
      data: data,
    });
  },

  goodsChapterDolist(data) {
    return myRequest({
      url: "/goods/chapter/dolist",
      method: "get",
      data: data,
    });
  },
  goodsExamDolist(data) {
    return myRequest({
      url: "/goods/exam/dolist",
      method: "get",
      data: data,
    });
  },

  goodsCollectList(data) {
    return myRequest({
      url: "/collect/question/list",
      method: "get",
      data: data,
    });
  },

  goodsExamList(data) {
    return myRequest({
      url: "/app/common/bank/exam/list",
      method: "get",
      data: data,
      noToken: true,
    });
  },

  // 获得所有视频列表
  studyRecordMenuAllList(data) {
    return myRequest({
      url: "/study/record/menuAllList",
      method: "get",
      data: data,
    });
  },

  // 获得所有视频+考试列表
  studMenuAllList(data) {
    return myRequest({
      url: "/study/record/menuAllListWithExam",
      method: "get",
      data: data,
    });
  },

  goodsTodayStudySectionNum(data) {
    return myRequest({
      url: "/goods/todayStudySectionNum",
      method: "get",
      data: data,
    });
  },

  goodsQuestionList(data) {
    return myRequest({
      url: "/app/common/bank/question/list",
      method: "get",
      data: data,
      noToken: true,
    });
  },
  // 随机组题题目列表
  goodsRandomQuestionList(data) {
    return myRequest({
      url: "/bank/exam/simulate",
      method: "post",
      data,
    });
  },
  // 随时练习解析
  goodsQuestionTempList(data) {
    return myRequest({
      url: "/app/common/bank/question/temp/list",
      method: "get",
      data: data,
      noToken: true,
    });
  },
  addCart(data) {
    return myRequest({
      url: "/base/cart",
      method: "post",
      data: data,
    });
  },
  updateCartCheckStatus(data) {
    return myRequest({
      url: "/base/cart/updateBatchChoice",
      method: "post",
      data: data,
    });
  },
  cartList(data) {
    return myRequest({
      url: "/base/cart/list",
      method: "get",
      data: data,
    });
  },

  questionRecordList(data) {
    return myRequest({
      url: "/bank/question/record/list",
      method: "get",
      data: data,
    });
  },

  deleteCart(data) {
    return myRequest({
      url: "/base/cart/delete/" + data,
      method: "post",
    });
  },

  bankQuestionListFreeGoodsList(data) {
    return myRequest({
      url: "/bank/question/listFreeGoodsList",
      method: "get",
      data: data,
    });
  },
  appCommonGoodsCourseModuleFreeExamList(data) {
    return myRequest({
      url: "/app/common/goods/course/moduleFreeExamList/" + data,
      method: "get",
      noToken: true,
    });
  },

  goodsLivingSectionList(data) {
    return myRequest({
      url: "/goods/livingSectionList",
      method: "get",
      data: data,
    });
  },
  // 查询用户拥有免费+自购题库商品
  listUserFreeUnionBuyGoodsList(data) {
    return myRequest({
      url: "/bank/question/listUserFreeUnionBuyGoodsList",
      method: "get",
      data: data,
    });
  },
  // 山东题库列表
  sdQuestionList(data) {
    return myRequest({
      url: "/course/special/question/list",
      method: "get",
      data: data,
    });
  },
  // 查询用户是否有山东题库
  getIsHaveOtherQuetion(data) {
    return myRequest({
      url: "/course/special/question/count",
      method: "get",
      data: data,
    });
  },
  // 获取三方题库试卷ID
  getOtherExamId(data) {
    return myRequest({
      url: "/goods/rel/exam",
      method: "post",
      data: data,
    });
  },
};
